SplittableCompressionCodec.READ_MODE (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.compress, interface: SplittableCompressionCodec, enum: READ_MODE

Package org.apache.hadoop.io.compress

# Enum Class SplittableCompressionCodec.READ_MODE

java.lang.Object
java.lang.Enum<SplittableCompressionCodec.READ_MODE>
org.apache.hadoop.io.compress.SplittableCompressionCodec.READ_MODE

All Implemented Interfaces:
  `Serializable`, `Comparable<SplittableCompressionCodec.READ_MODE>`, `Constable`

Enclosing interface:
  SplittableCompressionCodec

public static enum SplittableCompressionCodec.READ_MODE extends Enum<SplittableCompressionCodec.READ_MODE>
During decompression, data can be read off from the decompressor in two modes, namely continuous and blocked. Few codecs (e.g. BZip2) are capable of compressing data in blocks and then decompressing the blocks. In Blocked reading mode codecs inform 'end of block' events to its caller. While in continuous mode, the caller of codecs is unaware about the blocks and uncompressed data is spilled out like a continuous stream.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BYBLOCK`
  `CONTINUOUS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SplittableCompressionCodec.READ_MODE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SplittableCompressionCodec.READ_MODE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTINUOUS

    public static final SplittableCompressionCodec.READ_MODE CONTINUOUS

  - ### BYBLOCK

    public static final SplittableCompressionCodec.READ_MODE BYBLOCK

- ## Method Details

  - ### values

    public static SplittableCompressionCodec.READ_MODE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SplittableCompressionCodec.READ_MODE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null